#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 functional module with JavaScript interpret
Name:           kjs
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://projects.kde.org/projects/kdesupport/kde4support
BuildRequires:  pkgconfig(QtCore) 
BuildRequires:  pkgconfig(QtNetwork) 
BuildRequires:  pkgconfig(QtTest)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  kf5-macros
BuildRequires:  kdoctools-devel >= %version

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  perl-URI

BuildRequires:  pkgconfig(libpcreposix)

%description
KDE Frameworks 5 Tier 1 functional module with JavaScript interpret

%files
%_bindir/kjs5
%_mandir/man1/kjs5.1.*
%_mandir/*/man1/kjs5.1.*

#--------------------------------------------------------------------

%define kf5js_major 5
%define libkf5js %mklibname kf5js %{kf5js_major}

%package -n %libkf5js
Summary:      KDE Frameworks 5 Tier 1 functional module with JavaScript interpret
Group:        System/Libraries


%description -n %libkf5js
KDE Frameworks 5 Tier 1 functional module with JavaScript interpret

%files -n %libkf5js
%_kf5_libdir/libKF5JS.so.%{kf5js_major}*

#--------------------------------------------------------------------

%define kf5jsapi_major 5
%define libkf5jsapi %mklibname kf5jsapi %{kf5jsapi_major}

%package -n %libkf5jsapi
Summary:      KDE Frameworks 5 Tier 1 functional module with JavaScript interpret
Group:        System/Libraries

%description -n %libkf5jsapi
KDE Frameworks 5 Tier 1 functional module with JavaScript interpret

%files -n %libkf5jsapi
%_kf5_libdir/libKF5JSApi.so.%{kf5js_major}*

#--------------------------------------------------------------------
%define kjs_devel %mklibname kjs -d

%package -n %kjs_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt

Provides:       %name-devel = %version-%release

Requires:       %libkf5js = %version-%release
Requires:       %libkf5jsapi = %version-%release

%description -n %kjs_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kjs_devel
%_kf5_includedir/kjs_version.h
%_kf5_includedir/kjs
%_kf5_includedir/wtf
%_kf5_libdir/cmake/KF5JS
%_kf5_libdir/libKF5JS.so
%_kf5_libdir/libKF5JSApi.so
%_kf5_datadir/kf5/kjs/create_hash_table
%_libdir/qt5/mkspecs/modules/qt_KJS.pri
%_libdir/qt5/mkspecs/modules/qt_KJSApi.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088978
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074550
- New version 5.29.0

* Mon Dec 05 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072609
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058369
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051551
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045124
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041346
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036253
- add missing tarball

  + neoclust <neoclust>
    - New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014354
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999605
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986963
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942263
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921326
- New version 5.18.0

* Tue Dec 15 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 910633
- Rebuild as previous ones had been rejected by the BS

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909916
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900562
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899447
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898963
- New version 5.16.0

* Sun Oct 11 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 889804
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881427
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862988
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862778
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 28 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 858512
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849287
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803396
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 739200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681102
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 661607
- New version 5.1.0
- New version 5.1.0

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653241
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 646321
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611291
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599678
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593038
- New version 4.96.0

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-4.mga5
+ Revision: 582696
- Fix description

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-3.mga5
+ Revision: 582613
- Rebuild with fixed macros

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-2.mga5
+ Revision: 582175
- Rebuild against fixed kf5-macros
- Rename back
- Rename
- Rename

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 580624
- Adapt to new kf5-macros
- imported package kjs

